export const KEY = '__rubik_easy_tracking_v2__'

/**
 * Automatically tracks events reading a window object
 */
const loader = function() {
  if (!window[KEY]) return

  const {segment_event_name: eventName, ...properties} = window[KEY]
  window.analytics.track(eventName, properties)
}

export default loader
